# - Config file for the IGNITION-COMMON package.
#
# For finding and loading IGNITION-COMMON from your project, type:
#
# find_package(ignition-common00)
#
# It defines the following variables:
#
#  ignition-common00_FOUND       - System has IGNITION-COMMON.
#  IGNITION-COMMON_INCLUDE_DIRS - include directories for IGNITION-COMMON and its dependencies.
#  IGNITION-COMMON_LIBRARY_DIRS - Paths in which the linker should search for libraries.
#  IGNITION-COMMON_LIBRARIES    - Libraries to link against.
#  IGNITION-COMMON_CXX_FLAGS    - Compiler flags for compiling C++ sources.
#  IGNITION-COMMON_LDFLAGS      - Linker flags.

include (FindPkgConfig REQUIRED)

if (IGNITION-COMMON_CONFIG_INCLUDED)
  return()
endif()
set(IGNITION-COMMON_CONFIG_INCLUDED TRUE)


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was ignition-common-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/x86_64-linux-gnu/cmake/ignition-common0/" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

if(NOT TARGET ignition-common0)
  include("${CMAKE_CURRENT_LIST_DIR}/ignition-common0-targets.cmake")
endif()

list(APPEND IGNITION-COMMON_CXX_FLAGS -std=c++11)
if ("${CMAKE_CXX_COMPILER_ID} " MATCHES "Clang ")
  set(IGNITION-COMMON_CXX_FLAGS "${IGNITION-COMMON_CXX_FLAGS} -stdlib=libc++")
endif ()

# On windows we produce .dll libraries with no prefix
if (WIN32)
 set(CMAKE_FIND_LIBRARY_PREFIXES "")
 set(CMAKE_FIND_LIBRARY_SUFFIXES ".lib" ".dll")
endif()

# Compatibility
set(IGNITION-COMMON_LIBRARIES ignition-common0)
set(IGNITION-COMMON_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include/ignition/common0")
set(IGNITION-COMMON_LIBRARY_DIRS "${PACKAGE_PREFIX_DIR}/lib/x86_64-linux-gnu")
set(IGNITION-COMMON_LDFLAGS      "-L${PACKAGE_PREFIX_DIR}/lib/x86_64-linux-gnu")

find_package(ignition-math3 REQUIRED)
